Bug 182242 - |PATCH| lang/php55: update to 5.5.4
Summary: |PATCH| lang/php55: update to 5.5.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-20 06:00 UTC by rustem.alimov
Modified: 2013-09-27 15:20 UTC (History)
0 users

See Also:


Attachments
php55.diff (882 bytes, patch)
2013-09-20 06:00 UTC, rustem.alimov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rustem.alimov 2013-09-20 06:00:00 UTC
	Update to 5.5.4 release
Comment 1 Edwin Groothuis freebsd_committer 2013-09-20 06:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-09-27 15:15:22 UTC
Author: ale
Date: Fri Sep 27 14:15:09 2013
New Revision: 328471
URL: http://svnweb.freebsd.org/changeset/ports/328471

Log:
  Update to 5.5.4 release.
  
  PR:		ports/182242
  Submitted by:	Rustem Alimov <rustem.alimov@gmail.com>

Modified:
  head/databases/php55-pgsql/files/patch-pgsql.c
  head/lang/php55/Makefile
  head/lang/php55/distinfo

Modified: head/databases/php55-pgsql/files/patch-pgsql.c
==============================================================================
--- head/databases/php55-pgsql/files/patch-pgsql.c	Fri Sep 27 14:12:51 2013	(r328470)
+++ head/databases/php55-pgsql/files/patch-pgsql.c	Fri Sep 27 14:15:09 2013	(r328471)
@@ -1,24 +1,5 @@
 --- pgsql.c.orig	2010-01-03 10:23:27.000000000 +0100
 +++ pgsql.c	2010-03-08 11:00:26.000000000 +0100
-@@ -63,6 +63,7 @@
- #define PGSQL_MAX_LENGTH_OF_LONG   30
- #define PGSQL_MAX_LENGTH_OF_DOUBLE 60
- 
-+#if UINT_MAX > LONG_MAX
- #define PGSQL_RETURN_OID(oid) do { \
- 	if (oid > LONG_MAX) { \
- 		smart_str s = {0}; \
-@@ -72,7 +73,9 @@
- 	} \
- 	RETURN_LONG((long)oid); \
- } while(0)
--
-+#else
-+#define PGSQL_RETURN_OID(oid) RETURN_LONG((long)oid)
-+#endif
- 
- #if HAVE_PQSETNONBLOCKING
- #define PQ_SETNONBLOCKING(pg_link, flag) PQsetnonblocking(pg_link, flag)
 @@ -728,7 +731,7 @@
  static int le_link, le_plink, le_result, le_lofp, le_string;
  

Modified: head/lang/php55/Makefile
==============================================================================
--- head/lang/php55/Makefile	Fri Sep 27 14:12:51 2013	(r328470)
+++ head/lang/php55/Makefile	Fri Sep 27 14:15:09 2013	(r328471)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	php55
-PORTVERSION=	5.5.3
+PORTVERSION=	5.5.4
 PORTREVISION?=	0
 CATEGORIES?=	lang devel www
 MASTER_SITES=	${MASTER_SITE_PHP}

Modified: head/lang/php55/distinfo
==============================================================================
--- head/lang/php55/distinfo	Fri Sep 27 14:12:51 2013	(r328470)
+++ head/lang/php55/distinfo	Fri Sep 27 14:15:09 2013	(r328471)
@@ -1,4 +1,4 @@
-SHA256 (php-5.5.3.tar.bz2) = 93080dd06dff7c4e54254f4bd6910e7cc4049d6226e6ac4c9bc52c16ebd5939a
-SIZE (php-5.5.3.tar.bz2) = 12030241
+SHA256 (php-5.5.4.tar.bz2) = 49f87e8cf0bbec53a6e7f1c8ab132fcec37bb09990404c7c959f81dfb1637439
+SIZE (php-5.5.4.tar.bz2) = 12047184
 SHA256 (php-5.5.x-mail-header.patch) = b0b5a7c961b2052eb14d9528e76155cbeaa881fb9b4a49f452f9dab07b6fb1c4
 SIZE (php-5.5.x-mail-header.patch) = 3379
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alex Dupre freebsd_committer 2013-09-27 15:15:23 UTC
State Changed
From-To: open->closed

Updated, thanks!